- title: Google
  id: google-targets
  deploy_targets:
    - title: GCE
      content: Run your applications on virtual machines running in Google's innovative data centers and worldwide fiber network.
      links:
        - url: https://about.gitlab.com/blog/2018/04/05/gke-gitlab-integration/
          title: GitLab + Google Cloud Platform = simplified, scalable deployment
    - title: GKE
      content: Run your cloud native applications on Google's industry-leading, efficient and secure platform for managing Kubernetes clusters.
      links:
        - url: https://about.gitlab.com/solutions/google-cloud-platform/
          title: Deploy to Google Kubernetes Engine
    - title: App Engine
      content: Leverage GitLab CI to deploy to Google's fully managed serverless application platform.
      links:
        - url: https://medium.com/google-cloud/automatically-deploy-to-google-app-engine-with-gitlab-ci-d1c7237cbe11
          title: Yogesh Lakhotia's Medium Post
    - title: Cloud Run
      content: Portability of your serverless platform is now easy with GitLab and Knative.
      links:
        - url: https://about.gitlab.com/blog/2019/05/02/running-a-consistent-serverless-platform/
          title: Run a consistent serverleess platform with GitLab and Knative.
    - title: Google Functions
      content: Use GitLab to deploy your functions to Google's event-driven serverless compute platform.
      links:
        - url: https://cloud.google.com/functions/docs/deploying/repo
          title: Deploying to Google Functions from Source Control
- title: Amazon
  id: amazon-targets
  deploy_targets:
    - title: EC2
      content: Combine GitLab's powerful set of DevOps tools with Amazon's secure, scalable compute capacity.
      links:
        - url: https://about.gitlab.com/solutions/aws/
          title: Learn more about GitLab and AWS
    - title: ECS
      content: Build your containerized applications on GitLab, then run them in Amazon's high-performance container orchestration service.
      links:
        - url: https://medium.com/@alfianeffendy/deployment-automation-with-gitlab-runner-aws-ecs-docker-c3007908f358
          title: Alfiana Sibuea's Medium post on Deployment Automation with GitLab and ECS
    - title: EKS
      content: GitLab has partnered with Amazon to ensure EKS support is available out of the gate.
      links:
        - url: https://about.gitlab.com/blog/2018/06/06/eks-gitlab-integration/
          title: Simple Deployment to Amazon EKS
    - title: Fargate
      content: Never manage a server again with GitLab's SaaS offering and Amazon's Fargate.
      links:
        - url: https://about.gitlab.com/customers/trek10/
          title: Trek10 Deployment to Fargate
    - title: Lambda
      content: Deploy your serverless functions to Amazon's event-driven serverless computing platform.
- title: Microsoft
  id: microsoft-targets
  deploy_targets:
    - title: Azure Virtual Machines
      content: Azure's wide range of virtualized computing solutions ensures compatibility no matter what type of application you are building with GitLab.
    - title: AKS
      content: Leverage Azure's infrastructure while taking advantage of the powerful Kubernetes API to run your containerized applications.
      links:
        - url: https://docs.gitlab.com/ee/user/project/clusters/
          title: Connect GitLab with a Kubernetes Cluster
    - title: Azure Functions
      content: Run your serverless functions in Azure's on-demand compute platform without provisioning or configuring infrastructure.
    - title: Azure Service Fabric
      content: Build your microservices with GitLab, then run them in Azure's distributed, scalable microservices platform.
- title: And More!
  id: other-targets
  deploy_targets:
    - title: DigitalOcean
      content: DigitalOcean provides both rock solid virtualized compute instances, as well as an easy-to-use Kubernetes service for the rest of us.
    - title: VMware
      content: Deploy, run and manage Kubernetes clusters with VMware's production-ready ecosystem.
    - title: IBM
      content: IBM Cloud provides plenty of options for hosting your applications. From baremetal to on-premises Kubernetes and everything in-between, GitLab has the tools to get your applications onto IBM's offerings.
    - title: ScaleWay
      content: GitLab's pioneering suite of DevOps tools is a perfect fit for ScaleWay's range of cloud infrastructure services.
